
Foreman - Bug #8536

Can't update / delete media which has name with dot (.)

12/01/2014 02:45 AM - Shlomi Zadok

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.7.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1992

  

Description

Reproduce:

Create a new media, name it rhel.tlv (or another name with a dot), put a url and save.

From medias index page, try to edit or delete this media.

Related issues:

Has duplicate Foreman - Bug #8631: Installation media with dot in name gives ... Duplicate 12/09/2014

Associated revisions

Revision 12608e84 - 12/02/2014 12:43 PM - Ori Rabin

Fixes #8536 - can update and delete media with dot in name

Revision 3d1bb959 - 12/15/2014 10:00 AM - Ori Rabin

Fixes #8536 - can update and delete media with dot in name

(cherry picked from commit 12608e843a5e7895607e8e67bebfad66b1123e0c)

History

#1 - 12/02/2014 04:36 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#2 - 12/02/2014 05:17 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1992 added

- Pull request deleted ()

#3 - 12/02/2014 01:01 PM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 12608e843a5e7895607e8e67bebfad66b1123e0c.

#4 - 12/03/2014 03:43 AM - Dominic Cleal

- translation missing: en.field_release set to 29

#5 - 12/10/2014 01:46 AM - Daniel Lobato Garcia

- Has duplicate Bug #8631: Installation media with dot in name gives "The page you were looking for doesn't exist." added
